Bug 1024875 - Teiid connection metadata import leaves padding spaces for Hive column names
Teiid connection metadata import leaves padding spaces for Hive column names
Status: CLOSED CURRENTRELEASE
Product: JBoss Data Virtualization 6
Classification: JBoss
Component: Tooling (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity urgent
: ER4
: 6.0
Assigned To: Filip Nguyen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-30 10:29 EDT by Filip Nguyen
Modified: 2014-07-09 01:00 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
When importing Hive tables using Teiid Designer, padding spaces are being introduced into column names. It is proposed that this will be fixed by allowing users to set relevant importer properties, such as trimColumnNames, by supplying arbitrary name-value properties through the wizard GUI.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-10 14:39:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker TEIID-2524 Major Closed Hive metadata import leaves whitespace characters in column names 2014-07-10 08:56:11 EDT
JBoss Issue Tracker TEIIDDES-1905 Major Closed TrimColumn names should be enabled with hive translator metadata import 2014-07-10 08:56:11 EDT
JBoss Issue Tracker TEIIDDES-1911 Major Closed Teiid Connection lacks a way to define importer properties 2014-07-10 08:56:11 EDT

  None (edit)
Description Filip Nguyen 2013-10-30 10:29:52 EDT
Problem
Importing Hive Tables, when using Teiid Connection >> Source model, is introducing padding spaces into column names.
Why
There is a problem with Hive 0.11 driver which introduces padding spaces into metadata (data types and column names). The problem has been resolved (TEIID-2524) but it is necessary that dynamic VDBs that import this metadata use importer property trimColumnNames property set to true. So it is probably needed to add this property to importVDB-vdb.xml in the case of hive translator import in the Designer.

https://issues.jboss.org/browse/TEIIDDES-1905
Comment 1 JBoss JIRA Server 2013-11-04 11:49:53 EST
Barry LaFond <blafond@jboss.org> made a comment on jira TEIIDDES-1905

I'm still unclear on what needs to change/fix in Teiid Designer?
Comment 2 JBoss JIRA Server 2013-11-04 11:55:19 EST
Ramesh Reddy <rareddy@jboss.org> made a comment on jira TEIIDDES-1905

IMO, nothing, this should be rejected
Comment 3 JBoss JIRA Server 2013-11-04 12:27:42 EST
Filip Nguyen <fnguyen@redhat.com> made a comment on jira TEIIDDES-1905

Ramesh, why it should not be an issue with 0.11 driver? I am using the driver and it leaves the padding spaces. Which renders the imported base table unusable.

So your conclusion is that, user should import with spaces and fix the source model?
Comment 4 JBoss JIRA Server 2013-11-04 12:39:19 EST
Ramesh Reddy <rareddy@jboss.org> made a comment on jira TEIIDDES-1905

Filip, this is error introduced by the Hive driver. In Teiid we added a import property for handling this gracefully. Now, it is user's duty to add this import property when using the "Teiid Connection" importer to properly import the metadata from the Hive, when using this particular version of the Hive driver.  Or we need to make this "trimColums" to true by default in the Teiid. But not force this on Designer to provide.

All the translators have multiple import properties that can be used to customize this importer, but so far Teiid does not have smarts in the system to expose what these properties are so that Designer can provide a intelligent GUI on top unless they hard code for each of the translator.
Comment 5 JBoss JIRA Server 2013-11-04 13:03:58 EST
Filip Nguyen <fnguyen@redhat.com> made a comment on jira TEIIDDES-1905

Ramesh, sorry I didn't know it is possible to set importer property when importing using the Wizard. In that case you are right, this can be rejected.
Comment 6 JBoss JIRA Server 2013-11-04 13:53:21 EST
Ramesh Reddy <rareddy@jboss.org> made a comment on jira TEIIDDES-1905

Needs TEIID-1911, to satisfy this need
Comment 7 JBoss JIRA Server 2013-11-08 14:07:38 EST
Mark Drilling <mdrilling@redhat.com> updated the status of jira TEIIDDES-1911 to Resolved
Comment 8 JBoss JIRA Server 2013-11-08 14:07:38 EST
Mark Drilling <mdrilling@redhat.com> made a comment on jira TEIIDDES-1911

Added ability in the wizard for user to supply arbitrary name-value properties.  Verified that the properties were being passed correctly by passing "importer.tableNamePattern" to narrow the list of imported tables for a mysql import...

Pull Request - https://github.com/Teiid-Designer/teiid-designer/pull/256
Comment 9 JBoss JIRA Server 2013-11-08 14:11:29 EST
Mark Drilling <mdrilling@redhat.com> updated the status of jira TEIIDDES-1905 to Resolved
Comment 10 JBoss JIRA Server 2013-11-08 14:11:29 EST
Mark Drilling <mdrilling@redhat.com> made a comment on jira TEIIDDES-1905

Resolved the related defect TEIIDDES-1911.  With TEIIDDES-1911 changes, the user will now be able to pass a trim property in the importer.
Comment 11 belong 2013-12-09 19:50:54 EST
Assuming this will be set to VERIFIED before GA - setting requires_doc_text- accordingly.
Comment 12 JBoss JIRA Server 2014-05-07 17:04:23 EDT
Barry LaFond <blafond@jboss.org> updated the status of jira TEIIDDES-1905 to Closed
Comment 13 JBoss JIRA Server 2014-05-07 17:04:36 EDT
Barry LaFond <blafond@jboss.org> updated the status of jira TEIIDDES-1911 to Closed

Note You need to log in before you can comment on or make changes to this bug.